
/*
* Vue-Video-Player
* Author: weilaihui@126.com
* Github: https://github.com/weilaihui/vue-videojs-aliplayer
* Adapted from Videojs (https://github.com/videojs/video.js)
*/

import AliVideo from './components/player.vue'

// install function executed by Vue.use()
export function install(Vue) {
  if (install.installed) return
  install.installed = true
  Vue.component(AliVideo.name, AliVideo)
}

// Create module definition for Vue.use()
const plugin = {
  install
}

// To auto-install when vue is found
let GlobalVue = null
if (typeof window !== 'undefined') {
  GlobalVue = window.Vue
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue
}
if (GlobalVue) {
  GlobalVue.use(plugin)
}

export default AliVideo